ATI Fglrx 11.2 na kernelu 2.6.38. Patch.

22/03/2011 – 23:48

Poniżej prezentuję wymagane patche dla sterowników ATI w wersji 11.2, aby poprawnie działały na kernelu 2.6.38.

Źródło: http://aur.archlinux.org/packages.php?ID=29111

vnStat – statystyki download’u i upload’u

20/02/2011 – 22:23

Dziś krótko, zwięźle i na temat.

vnStat jest aplikacją, która automatycznie mierzy ruch na danych interfejsach sieciowych, zapisując odpowiednie informacje do bazy danych. Dzięki temu po wpisaniu tylko jednego polecenia, od razu widzimy ile MB/GB pobraliśmy i wysłaliśmy z danego interfejsu, w ciągu dnia, tygodnia, miesiąca, roku, itd. Aplikacja szczególnie przydatna jeżeli z jakiś przyczyn, dostawca Internetu nakłada nam limit pobierania – warto przecież co kilka dni zajrzeć w statystyki, aby przekonać się ile transferu nam pozostało. Można nawet pokusić się o napisanie prostego skryptu, który poinformuje nas o przekroczeniu limitu, lub 500 MB przed limitem, etc.

vnStat działa jako daemon (dawniej do zaktualizowania bazy danych, należało uruchamiać aktualizację db poprzez crona lub ręcznie), który w dodatku praktycznie nie obciąża komputera.

Przykładowy wygląd statystyk dostępny jest na stronie domowej projektu.

Opera i autouzupełnianie (autocomplete)

14/02/2011 – 21:41

Jak długo użytkownikom Opery przyjdzie czekać na natywne autouzupełnianie pól tekstowych, tak jak ma to miejsce w Firefoksie czy Internet Explorerze? Odkąd pamiętam, Operze zawsze brakowało tej funkcji. W Internecie można znaleźć kilka gotowców, tak zwanych skryptów użytkownika, które wprowadzają do Opery zalążek autouzupełniania. Niemniej, nie znalazłem żadnego skryptu, który działałby poprawnie z nowszymi wersjami Opery.

Ale, ale… Skoro w Operze od jakiegoś czasu mamy do dyspozycji rozszerzenia, to może warto byłoby zerknąć czy coś nowego się przypadkiem nie pojawiło? Jak pomyślałem, tak i zrobiłem (to się chyba stanie moim mottem życiowym…:)).

Chwilka szukania i proszę bardzo: rozszerzenie AutoComplete dla Opery, wprowadzające funkcję autouzupełniania. Malutki rozmiar dodatku podpowiada mi, że to chyba znowu jakiś skrypt (stałem się ostatnio leniwy, więc na domniemaniu – w tym przypadku – pozostałem).

Jak działa rozszerzenie? Nic szczególnego, robi to co ma robić – czyli pokazywać co ostatnio wpisaliśmy w dany textbox.

Polecam wszystkim użytkownikom Opery.

ATI Fglrx 11.1 na kernelu 2.6.37 i 2.6.38. Patch.

29/01/2011 – 22:35

Oto wymagany patch dla sterowników FGLRX od ATI, aby poprawnie działały na kernelu 2.6.37. Z tego co się dowiedziałem, sterowniki 11.1 z tym patchem działają również na jądrze 2.6.38.

Download.

Źródło: http://aur.archlinux.org/packages.php?ID=29111

// EDIT
Z tego co zauważyłem, patch nie jest wymagany do poprawnej kompilacji i działania sterowników na 2.6.37. Nie mogę tego jednak potwierdzić dla 2.6.38.

Generator debianowych okładek na płyty

20/01/2011 – 22:53

http://debian.semistable.com/cdcover.pl

A tak, aby sobie druknąć z nudów :).

Ciekawostka: ten wpis został przeze mnie stworzony… 31 stycznia 2010 roku – czyli przeleżał prawie rok w kopiach roboczych :).

Klawiatura Androida 2.3 Gingerbread z polskim słownikiem

17/01/2011 – 22:24

Klawiatura Gingerbread’a wprowadza kilka nowości w użytkowaniu. Mnie przede wszystkim cieszy fakt obsługi multi toucha, możliwość wyboru języków wpisywania oraz sama szybkość działania. Klawiatura ta już tak bardzo nie zwalnia podczas wpisywania tekstu w trybie poziomym.

Posiadam tę klawiaturę już od kilku dni, jednakże dopiero dzisiaj udało mi się znaleźć wersję z polskim słownikiem.

Cóż tu wiele mówić, szczerze polecam. Na mojej Spicy z CM8.2a działa bardzo dobrze.

Klawiaturę polecam zainstalować z pliku(ów) dostępnych tutaj: http://forum.android.com.pl/f216/klawiatura-latinime-z-androida-2-3-gingerbread-37735/

ATI Fglrx 10.12 na kernelu 2.6.37. Patch.

14/01/2011 – 19:11

Aby móc korzystać z najnowszych sterowników ATI w wersji 10.12, na kernelu 2.6.37, należy – jak to najczęściej bywa – nałożyć odpowiednie patche. Patch działa również dla kernela 2.6.36.

Download:

Źródło: http://aur.archlinux.org/packages.php?ID=29111

Dla osób korzystających z Debiana unstable. Kernel 2.6.37 znajduje się w repozytorium experimental lub w unstable. Niestety brakuje w tych repozytoriach wymaganego pakietu dla instalacji o nazwie linux-kbuild-2.6.37. Należy go sobie samemu wygenerować i zainstalować. Jak tego dokonać, pisałem w poprzednich notkach.